package com.qmth.teachcloud.common.enums.mark;

/**
 * 评卷模式
 */
public enum MarkMode {

    UNLIMITED("不限"),COMMON("普通"), TRACK("轨迹");

    private String name;

    private MarkMode(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public static MarkMode findByName(String name) {
        for (MarkMode c : MarkMode.values()) {
            if (c.toString().equalsIgnoreCase(name)) {
                return c;
            }
        }
        return null;
    }
}
